Subject: Re: [X2Go-Dev] Bug#1369: Bug#1369: Keys do not release when using Emacs in X2GO Client

From: Yan Zhang <[email-masked]>
Date: Thu, 14 Mar 2019 19:59:59 +0800

Hi Uli,

I found a temporary solution. If I disable the transient mark mode, under
which the selected region is highlighted, this issue goes away. So I guess
the issue is related to events generated by rendering the highlighted
region. And one thing I forgot to mention is that if I start emacs without
GUI (i.e., emacs -nw), I do not have this issue.

On the other hand, I have tried to use ADSL/ISDN, change my emacs version
to both 26.1 and 24.3.1, and upgrade NX to the nightly build. None of these
has any effect.

Thanks and regards,
Yan

On Thu, Mar 14, 2019 at 2:51 PM Ulrich Sibiller <[email-masked]> wrote:

> You mean NX, I guess, not X2 (there's no such protocol). However: I am
> using NX over two chained WANs without such problems. For some time I even
> used it for working on machines on the other side of the Atlantic ocean -
> and it worked flawlessly.
>
> @Yan: you could try setting the connection type to ADSL or even ISDN and
> retry.
>
> Uli
>
> Bob Harold <[email-masked]> schrieb am Do., 14. März 2019, 02:50:
>
>>
>> On Wed, Mar 13, 2019 at 5:17 AM Ulrich Sibiller <[email-masked]> wrote:
>>
>>> On Wed, Mar 13, 2019 at 9:10 AM Yan Zhang <[email-masked]> wrote:
>>>
>>> >> > I am using Emacs 24.5.1 with x2go client version 4.1.2.0 in Windows
>>> 10. My server OS is Ubuntu 16.04 and the x2goserver comes from the PPA repo.
>>>
>>> You could try updating your nx-libs to nightly and retry:
>>> https://sunweavers.net/blog/node/20
>>>
>>> > The difference is whether I start mark region (by hitting
>>> "ctrl+space") before moving cursor. The client will only stuck if I first
>>> start mark region and then hold cursor-moving keys like "ctrl+n" or
>>> "ctrl+p" for a few seconds.
>>>
>>> Ok, understood. But still not replicable for me.
>>>
>>> >  I tried "xev -event keyboard" in a XFCE session and did not observe
>>> any missing keystrokes.
>>>
>>> Nor did I. So maybe this is bug in emacs. I tested with 24.3.1, can
>>> you downgrade?
>>>
>>> Uli
>>>
>>
>> Just a thought - there is some lag in the screen updates from the remote
>> host when using a protocol like x2.  It is possible that holding the keys
>> for a few seconds, with auto-repeat, has buffered enough copies of the
>> keystroke to scroll the file all the way to the end, even after you let
>> go.  Is that possible?
>>
>> --
>> Bob Harold
>>
>>
>

-- 
Yan